// Package config stores common configuration parameters. These are unmanaged,
// and must be queried each time they are used. These are intended to be set by
// things like application frameworks. Values set by objects or applications are
// subject to being overridden.
package config

import "time"

// DoubleClickDelay is the maximum amount of time that can pass between two
// consecutive clicks for them to be considered a double-click.
var DoubleClickDelay time.Duration = time.Second

// ScrollSpeed is how many units (pixels at a scale of 1.0) the content of a
// ContentBox should be moved in response to a scroll delta of 1.0.
var ScrollSpeed int = 16
