package tomo

// Cursor represents a mouse cursor shape.
type Cursor string

// A list of standard cursor shapes. This is based off of the XDG Cursor
// Conventions Specification
// (https://www.freedesktop.org/wiki/Specifications/cursor-spec/)
const (
	CursorUnknown      Cursor = ""
	CursorDefault      Cursor = "Default"
	CursorText         Cursor = "Text"
	CursorPointer      Cursor = "Pointer"
	CursorHelp         Cursor = "Help"
	CursorProgress     Cursor = "Progress"
	CursorWait         Cursor = "Wait"
	CursorCopy         Cursor = "Copy"
	CursorAlias        Cursor = "Alias"
	CursorNoDrop       Cursor = "NoDrop"
	CursorNotAllowed   Cursor = "NotAllowed"
	CursorAllScroll    Cursor = "AllScroll"
	CursorRowResize    Cursor = "RowResize"
	CursorColResize    Cursor = "ColResize"
	CursorEResize      Cursor = "EResize"
	CursorNEResize     Cursor = "NEResize"
	CursorNWResize     Cursor = "NWResize"
	CursorNResize      Cursor = "NResize"
	CursorSEResize     Cursor = "SEResize"
	CursorSWResize     Cursor = "SWResize"
	CursorSResize      Cursor = "SResize"
	CursorWResize      Cursor = "WResize"
	CursorVerticalText Cursor = "VerticalText"
	CursorCrosshair    Cursor = "Crosshair"
	CursorCell         Cursor = "Cell"
)
